/**
 * @hidden
 */
export class Controller extends MeasueMobileBaseController {
    /**
     * @param {angular.IScope} $scope Angular scope.
     * @param {angular.IFilterService} $filter Angular filter
     * @param {angular.gettext.gettextCatalog} gettextCatalog Gettext catalog.
     * @param {import('gmf/options').gmfMobileMeasureLengthOptions} gmfMobileMeasureLengthOptions The options.
     */
    constructor($scope: angular.IScope, $filter: angular.IFilterService, gettextCatalog: angular.gettext.gettextCatalog, gmfMobileMeasureLengthOptions: import("gmf/options").gmfMobileMeasureLengthOptions);
    /**
     * @type {import('gmf/options').gmfMobileMeasureLengthOptions}
     */
    options: import("gmf/options").gmfMobileMeasureLengthOptions;
    /**
     * Add current sketch point to line measure
     */
    addPoint(): void;
    /**
     * Clear the sketch feature
     */
    clear(): void;
    /**
     * Finish line measure
     */
    finish(): void;
    /**
     * Deactivate the directive.
     */
    deactivate(): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import { MeasueMobileBaseController } from 'gmf/mobile/measure/baseComponent';
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
